DB manager: Connection to PostGIS from QGIS3 fails

2016-11-30 01:29 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23827

Description

In QGIS master the connection to PostGIS through the browser is OK, whereas the same through DBM attempts to find a 'g' schema,

which is not there, and fails miserably:

SELECT has_schema_privilege('g', 'CREATE'), has_schema_privilege('g',

'USAGE')

Associated revisions

Revision cfe8dfed - 2017-04-28 12:11 PM - Arnaud Morvan

[db_manager] Fix DBConnector.getSchemaTableName

Fix #15910

Revision 4f4d63a6 - 2017-06-06 11:40 PM - Arnaud Morvan

[db_manager] Fix DBConnector.getSchemaTableName

2.18 Backport

Ref #15910

History

#1 - 2016-12-21 02:54 AM - amedeo fadini

Me too, I think that for some reason the self.tree.currentItem() returns value 'g'  in dbmanager.py at line 127

def refreshTabs(self):

        index = self.tabs.currentIndex()

        item = self.tree.currentItem()

        table = self.tree.currentTable()

#2 - 2017-01-04 01:27 PM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version set to Version 3.0

#3 - 2017-03-30 03:15 AM - Pedro Venâncio
Still true with QGIS code revision 5bfc0a1 (DB Manager 0.1.20)

schema "g" does not exist

#4 - 2017-04-28 10:15 AM - Arnaud Morvan

Pull request proposed : https://github.com/qgis/QGIS/pull/4434

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 01:32 PM - Arnaud Morvan

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|cfe8dfedaea6f84c2512b9c4a28b81071fe236be.

#9 - 2017-05-01 05:58 PM - Paolo Cavallini

- Description updated

Confirmed, thanks Arnaud.

#10 - 2017-06-06 11:42 PM - Sandro Santilli

This needed a backport to 2.18 branch, I'm tentatively doing that as part of DBManager automated testing: https://github.com/qgis/QGIS/pull/4685

#11 - 2017-06-06 11:43 PM - Sandro Santilli

BTW: you can find the `g` schema thing in Travis traces, so the automated test is giving its fruits: https://travis-ci.org/qgis/QGIS/jobs/240120546#L864
